Bug 1024466 - NullPointerException after creating a KPI
NullPointerException after creating a KPI
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 13:38 EDT by altairpolar
Modified: 2014-08-06 16:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description altairpolar 2013-10-29 13:38:11 EDT
Description of problem:
NPE just after dropping a new KPI in a page.

The data source returns 44 records. After dragging, when just dropping the KPI, it takes some time (seems to load all records, as the time taken depends on the size of the table).


Version-Release number of selected component (if applicable):
Compilation against 23th October commit (commit SHA Id a6ad297262034c976f2c3618bed3300358984021, corresponding to "BZ-1021830 - Unexpected Error (CSRF token missing) when clicking go back in Import Dashboards panel".


How reproducible:
Don't be able to reproduce it, but each time we open this page, a red cross image associated with an exception panel is showed.

If we try to delete the page, seems to do it (closing the page and navigating to the main one), but on the combo box still appears and, if selected again, is showed again (so it has not been properly deleted).


Steps to Reproduce:
Not easy to reproduce


Actual results:

Thread id=ajp-localhost-127.0.0.1-28009-17
Thread begin date=Tue Oct 29 17:59:56 CET 2013
Thread group=main
Request URL=/dashbuilder/Controller?_fb=org.jboss.dashboard.ui.components.PanelsHandler&_fp=2
Request IP=95.39.227.236
Request date=Tue Oct 29 17:59:57 CET 2013
Request header:user-agent=Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.101 Safari/537.36
Request header:referer=https://demo.gesconsultor.com/dashbuilder/Controller?_fb=org.jboss.dashboard.ui.panel.PopupPanelsHandler&_fp=getPanelsPopupPage
Request header:cookie=JSESSIONID=+WkfW0vi1q2eRUlrqA49WVyA.undefined; dashbuilderNavigationPoint=es-1ou-1; PHPSESSID=6ed2au267sca8lckk2ojrsdga4; JSESSIONIDSSO=NrZTWjFjclmmeR3QY+NNOw3g; region_left_web_2_0_cookie=1
Request param:region=center_4
Request param:position=0
Request param:_fb=org.jboss.dashboard.ui.components.PanelsHandler
Request param:_fp=2
Request param:panelId=dashboard.kpi
Tx id=127978386
Tx Isolation=2
Tx Auto commit=false
JSP=/envelopes/Default_Envelope/shared.jsp
JSP=regular_layout.jsp
JSP=/layouts/Default_Layout/slider_menu.jsp
Formatter=org.jboss.dashboard.ui.formatters.RenderRegionFormatter
Formatter Scope=volatile
Formatter JSP=section/render_simple_region.jsp
Error id=1383065997837
Error date=Tue Oct 29 17:59:57 CET 2013
Error stack trace=java.lang.NullPointerException
    at org.jboss.dashboard.workspace.Panel.getTitle(Panel.java:283)
    at org.jboss.dashboard.ui.formatters.RegionFormatter.renderPanel(RegionFormatter.java:137)
    at org.jboss.dashboard.ui.formatters.RenderRegionFormatter.service(RenderRegionFormatter.java:84)
    at org.jboss.dashboard.ui.taglib.formatter.FormatterTag$1.txFragment(FormatterTag.java:134)
    at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
    at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeChild(HibernateTxFragment.java:194)
    at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:168)
    at org.jboss.dashboard.ui.taglib.formatter.FormatterTag.doAfterBody(FormatterTag.java:126)
    at org.apache.jsp.section.render_005fsimple_005fregion_jsp._jspService(render_005fsimple_005fregion_jsp.java:1475)
    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:369)
    at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:326)
    at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:253)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:840)
    at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:720)
    at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:657)
    at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:968)
    at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:621)
    at org.jboss.dashboard.ui.taglib.RegionTag$1.txFragment(RegionTag.java:78)
    at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
    at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeChild(HibernateTxFragment.java:194)
    at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:168)
    at org.jboss.dashboard.ui.taglib.RegionTag.doEndTag(RegionTag.java:52)
    at org.apache.jsp.layouts.Default_005fLayout.slider_005fmenu_jsp._jspx_meth_panel_005fregion_005f8(slider_005fmenu_jsp.java:561)
    at org.apache.jsp.layouts.Default_005fLayout.slider_005fmenu_jsp._jspService(slider_005fmenu_jsp.java:323)
    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:369)
    at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:326)
    at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:253)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:840)
    at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:720)
    at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:657)
    at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:968)
    at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:621)
    at org.jboss.dashboard.ui.taglib.JSPIncludeTag.doStartTag(JSPIncludeTag.java:77)
    at org.apache.jsp.templates.regular_005flayout_jsp._jspService(regular_005flayout_jsp.java:157)
    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:369)
    at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:326)
    at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:253)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:840)
    at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:720)
    at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:657)
    at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:968)
    at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:621)
    at org.jboss.dashboard.ui.taglib.JSPIncludeTag.doStartTag(JSPIncludeTag.java:77)
    at org.apache.jsp.templates.content_jsp._jspx_meth_mvc_005finclude_005f0(content_jsp.java:115)
    at org.apache.jsp.templates.content_jsp._jspService(content_jsp.java:69)
    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:369)
    at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:326)
    at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:253)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:840)
    at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:720)
    at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:657)
    at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:968)
    at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:621)
    at org.jboss.dashboard.ui.taglib.EnvelopeContentTag$1.txFragment(EnvelopeContentTag.java:46)
    at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
    at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeChild(HibernateTxFragment.java:194)
    at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:168)
    at org.jboss.dashboard.ui.taglib.EnvelopeContentTag.doStartTag(EnvelopeContentTag.java:44)
    at org.apache.jsp.envelopes.Default_005fEnvelope.shared_jsp._jspx_meth_panel_005fenvelopeContent_005f0(shared_jsp.java:264)
    at org.apache.jsp.envelopes.Default_005fEnvelope.shared_jsp._jspService(shared_jsp.java:170)
    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:369)
    at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:326)
    at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:253)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:840)
    at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:720)
    at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:657)
    at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:968)
    at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:621)
    at org.jboss.dashboard.ui.taglib.JSPIncludeTag.doStartTag(JSPIncludeTag.java:77)
    at org.apache.jsp.templates.standard_005ftemplate_jsp._jspService(standard_005ftemplate_jsp.java:198)
    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:369)
    at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:326)
    at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:253)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:840)
    at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:720)
    at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:657)
    at org.jboss.dashboard.ui.controller.responses.ShowScreenResponse.execute(ShowScreenResponse.java:45)
    at org.jboss.dashboard.ui.controller.requestChain.RequestRenderer.processRequest(RequestRenderer.java:31)
    at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:61)
    at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
    at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
    at org.jboss.dashboard.ui.controller.ControllerServlet$4.txFragment(ControllerServlet.java:211)
    at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
    at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeInitiator(HibernateTxFragment.java:179)
    at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:167)
    at org.jboss.dashboard.ui.controller.ControllerServlet.processTheView(ControllerServlet.java:207)
    at org.jboss.dashboard.ui.controller.ControllerServlet$2.doWork(ControllerServlet.java:169)
    at org.jboss.dashboard.factory.Factory.runWork(Factory.java:295)
    at org.jboss.dashboard.factory.Factory.doWork(Factory.java:323)
    at org.jboss.dashboard.ui.controller.ControllerServlet.service(ControllerServlet.java:148)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
    at org.jboss.weld.servlet.ConversationPropagationFilter.doFilter(ConversationPropagationFilter.java:62)
    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:280)
    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:275)
    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:161)
    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:489)
    at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:153)
    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:155)
    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:416)
    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:368)
    at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:505)
    at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:445)
    at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:930)
    at java.lang.Thread.run(Thread.java:662)


Expected results:

KPI.


Additional info:
Comment 2 altairpolar 2013-10-29 13:47:55 EDT
After deleting the dashboard page record from the database, I've tried to create a new SQL query and following exception has appeared.

Seems not to be related with this problem, so perhaps is another bug, but not sure if it's just a consequence of previous exception/behavior:

Thread id=ajp-localhost-127.0.0.1-28009-20
Thread begin date=Tue Oct 29 18:36:29 CET 2013
Thread group=main
Request URL=/dashbuilder/Controller
Request IP=95.39.227.236
Request date=Tue Oct 29 18:36:29 CET 2013
Request header:user-agent=Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9) AppleWebKit/537.71 (KHTML, like Gecko) Version/7.0 Safari/537.71
Request header:referer=https://demo.gesconsultor.com/dashbuilder/Controller
Request header:cookie=dashbuilderNavigationPoint=es-2ar-1; JSESSIONID=nZSBiUMrhaYzJ2Ch9qKvnqti.undefined; JSESSIONIDSSO=qs4Rv1IhHA+07qoMqM+Lj0ns; PHPSESSID=rs7p7lqs8or6doqj4d6v1idv61; region_left_web_2_0_cookie=1; __utma=43354106.1944028344.1357892229.1360058503.1363468774.4
Request param:idPanel=2986
Request param:dataSource=AlienVault 2
Request param:sqlQuery=SELECT inet6_ntoa(
ip_src
) as sourceIP, inet6_ntoa(
ip_dst
) as targetIP, alienvault_siem.acid_event.*
FROM alienvault_siem.acid_event
WHERE inet6_aton(
'0.0.0.0'
) <> inet6_ntoa(
ip_src
) 
Request param:factory://org.jboss.dashboard.ui.components.DataProviderHandler/currentProviderTypeChanged=false
Request param:factory://org.jboss.dashboard.ui.components.DataProviderHandler/saveButtonPressed=false
Request param:_fb=org.jboss.dashboard.ui.components.DataProviderHandler
Request param:pAction=_factory
Request param:_fp=editCreateNewDataProvider
Request param:factory://org.jboss.dashboard.ui.components.DataProviderHandler/currentLangChanged=false
Request param:factory://org.jboss.dashboard.ui.components.DataProviderHandler/currentLang=en
Request param:factory://org.jboss.dashboard.ui.components.DataProviderHandler/providerName=Vulnerabilities by host
Tx id=1898517733
Tx Isolation=2
Tx Auto commit=false
Error id=1383068315331
Error date=Tue Oct 29 18:38:35 CET 2013
Error stack trace=java.lang.OutOfMemoryError: Java heap space
	at com.mysql.jdbc.MysqlIO.nextRowFast(MysqlIO.java:1649)
	at com.mysql.jdbc.MysqlIO.nextRow(MysqlIO.java:1426)
	at com.mysql.jdbc.MysqlIO.readSingleRowSet(MysqlIO.java:2924)
	at com.mysql.jdbc.MysqlIO.getResultSet(MysqlIO.java:477)
	at com.mysql.jdbc.MysqlIO.readResultsForQueryOrUpdate(MysqlIO.java:2619)
	at com.mysql.jdbc.MysqlIO.readAllResults(MysqlIO.java:1788)
	at com.mysql.jdbc.MysqlIO.sqlQueryDirect(MysqlIO.java:2209)
	at com.mysql.jdbc.ConnectionImpl.execSQL(ConnectionImpl.java:2625)
	at com.mysql.jdbc.PreparedStatement.executeInternal(PreparedStatement.java:2119)
	at com.mysql.jdbc.PreparedStatement.executeQuery(PreparedStatement.java:2281)
	at org.jboss.dashboard.dataset.sql.SQLDataSet.load(SQLDataSet.java:102)
	at org.jboss.dashboard.provider.sql.SQLDataLoader.load(SQLDataLoader.java:105)
	at org.jboss.dashboard.dataset.DataSetManagerImpl.loadDataSet(DataSetManagerImpl.java:101)
	at org.jboss.dashboard.dataset.DataSetManagerImpl.getDataSetHolder(DataSetManagerImpl.java:75)
	at org.jboss.dashboard.dataset.DataSetManagerImpl.getDataSet(DataSetManagerImpl.java:39)
	at org.jboss.dashboard.dataset.DataSetManagerImpl.refreshDataSet(DataSetManagerImpl.java:49)
	at org.jboss.dashboard.dataset.DataSetManagerImpl$Proxy$_$$_WeldClientProxy.refreshDataSet(DataSetManagerImpl$Proxy$_$$_WeldClientProxy.java)
	at org.jboss.dashboard.provider.DataProviderImpl.refreshDataSet(DataProviderImpl.java:228)
	at org.jboss.dashboard.ui.components.sql.SQLProviderEditor.actionSubmit(SQLProviderEditor.java:86)
	at org.jboss.dashboard.ui.components.DataProviderHandler.updateDataProvider(DataProviderHandler.java:374)
	at org.jboss.dashboard.ui.components.DataProviderHandler.actionEditCreateNewDataProvider(DataProviderHandler.java:426)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.jboss.dashboard.ui.components.HandlerFactoryElement.handle(HandlerFactoryElement.java:140)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.handle(FactoryRequestHandler.java:154)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.performRequestHandling(FactoryRequestHandler.java:145)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.handleRequest(FactoryRequestHandler.java:43)
	at org.jboss.dashboard.ui.panel.PanelDriver.panelActionFactory(PanelDriver.java:1225)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
Comment 3 altairpolar 2013-10-29 14:25:55 EDT
Seems that the previous exception is a bug on MySQL driver.

When executing the next query the application did not responded:

SELECT inet6_ntoa(
ip_src
) as sourceIP, inet6_ntoa(
ip_dst
) as targetIP, alienvault_siem.acid_event.*
FROM alienvault_siem.acid_event
WHERE inet6_aton(
'0.0.0.0'
) <> inet6_ntoa(
ip_src
) 

we replace it by the same one, without the ", alienvault_siem.acid_event.*" string:

SELECT inet6_ntoa(
ip_src
) as sourceIP, inet6_ntoa(
ip_dst
) as targetIP
FROM alienvault_siem.acid_event
WHERE inet6_aton(
'0.0.0.0'
) <> inet6_ntoa(
ip_src
) 

It works perfectly. 

On MySQLAdmin both queries work perfectly, so perhaps the MySQL driver must be updated (was using mysql-connector-java-5.1.17.jar). Tomorrow we will try with new 5.1.26 version. 

A timeout or a better exception handling could be a workaround for JDBC driver exceptions.

But this is not connected with the originally posted NPE exception.
Comment 6 Jan Hrcek 2013-12-04 07:18:01 EST
Ok, all 3 commits from engineering are present in BPMS 6.0.0 ER5 build. Since the issue is hard to reproduce (we were not able to reproduce it) no automated tests for the issue will be created.

Note You need to log in before you can comment on or make changes to this bug.